# carrierData

{% hint style="warning" %}
Questo oggetto è possibile solamente riceverlo in risposta e non valorizzarlo
{% endhint %}

Oggetto contenente informazioni supplementari ottenute dal corriere ed esposte via API.

L'uso tipico è di un corriere "aggregatore" di altri corrieri in cui è contenuto il corriere che si occupa fisicamente della spedizione o un tracking aggiuntivo per le spedizioni internazionali.

```
"carrierData": {
    "carrierAlias": "XXX",
    "shipmentNumber": "XXXXXXXXXXXXXXX"
  }
```

<table data-full-width="true"><thead><tr><th width="248">Campo</th><th width="79">Type</th><th>Descrizione</th></tr></thead><tbody><tr><td>carrierAlias</td><td>string</td><td>Corriere che si occupa fisicamente della spedizione (dipende da corriere a corriere)</td></tr><tr><td>shipmentNumber</td><td>string</td><td>Numero di spedizione "supplementare" del corriere (dipende da corriere a corriere)</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.gsped.com/spedizioni-e-dintorni/shipment/shipment-objects/carrierdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
